# Build phase (caching Maven dependencies)
FROM maven:3.6.3-jdk-11-slim as build
WORKDIR /build
COPY pom.xml .
RUN mvn dependency:go-offline
COPY . .
RUN mvn clean package -DskipTests

# Run phase
FROM adoptopenjdk:11-jre-openj9
WORKDIR /intervenants
COPY --from=build /build/target /dist
EXPOSE 8080

ENTRYPOINT ["java", "-jar", "/dist/intervenants-quarkus-1.0.0-SNAPSHOT-runner.jar"]
